Advertising

Welcome to SparkyLinux forums
Zapraszamy również na polsko-języczne Forum Linuxiarze.pl

Author Topic: The following packages will be REMOVED: Exaile and Nicotine+  (Read 474 times)

Offline AxL

  • Newbie
  • *
  • Posts: 28
  • Karma: 0
@pavroo



Today, after a DU with apt dist-upgrade, these packages will be removed: Exaile & Nicotine+.


Code: [Select]
.... Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
  geoip-database-contrib libgeoip1 miniupnpc python-cddb python-geoip python-gobject
  python-gst0.10 python-libxml2 python-mmkeys
Use 'sudo apt autoremove' to remove them.
The following packages will be REMOVED:
  exaile nicotine python-mutagen
The following packages will be upgraded:
  python3-mutagen
1 upgraded, 0 newly installed, 3 to remove and 3 not upgraded.
Need to get 147 kB of archives.
After this operation, 17.5 MB disk space will be freed.
Do you want to continue? [Y/n] n
Abort.

Since they are packages from the SparkyLinux repository.
This issue can be resolved without any problems or these packages will be lost?  :-\ 

I have no interest in maintaining exaile (because I don't use it).

But I am interested in keeping Nicotine+ (because I use it a lot)


Code: [Select]
~ $ apt policy exaile nicotine
exaile:
  Installed: 4.0.2-1
  Candidate: 4.0.2-1
  Version table:
 *** 4.0.2-1 1001
       1001 https://repo.sparkylinux.org core/main amd64 Packages
       1001 https://repo.sparkylinux.org core/main i386 Packages
        100 /var/lib/dpkg/status
nicotine:
  Installed: 1.4.2-kip1-git20180205~bionic
  Candidate: 1.4.2-kip1-git20180205~bionic
  Version table:
 *** 1.4.2-kip1-git20180205~bionic 1001
       1001 https://repo.sparkylinux.org core/main amd64 Packages
       1001 https://repo.sparkylinux.org core/main i386 Packages
        100 /var/lib/dpkg/status


Thanks !!







Cheers!!   ;)


Offline pavroo

  • Global Moderator
  • Hero Member
  • *****
  • Posts: 2238
  • Karma: 4
    • SparkyLinux
Re: The following packages will be REMOVED: Exaile and Nicotine+
« Reply #1 on: March 23, 2020, 03:55:47 pm »
Looks like both require python-mutagen which is not available for Sparky 6/Debian Bullseye any more (repalced with python3-mutagen).
I build exaile myself so I will try to rebuild it with python3-mutagen.
Nicotine++ is an old package, no upgraded for long time so works on older libs, means on Sparky stable now, so can't fix it on Sparky 6, sorry.
Nothing is easy as it looks. Danielle Steel
Join #sparkylinux.org at irc.libera.chat

Offline AxL

  • Newbie
  • *
  • Posts: 28
  • Karma: 0
Re: The following packages will be REMOVED: Exaile and Nicotine+
« Reply #2 on: March 23, 2020, 06:08:57 pm »
Looks like both require python-mutagen which is not available for Sparky 6/Debian Bullseye any more (repalced with python3-mutagen).
I build exaile myself so I will try to rebuild it with python3-mutagen.
Nicotine++ is an old package, no upgraded for long time so works on older libs, means on Sparky stable now, so can't fix it on Sparky 6, sorry.
Thank you very much, for your quick response, pavroo   ;)

I've finally removed exaile, nicotine and all dependencies ... And now, I'll just use the version I have installed on another machine, with debian Stable.

I want to take this opportunity, to thank you again, for all your excellent work at SparkyLinux.

BTW, I want to send my support and encouragement, to all the people who are helping, healing and fighting to defeat the f***ing coronavirus

Cheers!!   ;)

« Last Edit: March 23, 2020, 06:36:28 pm by lami07 »